Announcement Announcement Module
Collapse
No announcement yet.
Spring 3.0 upgrade issue - org/springframework/core/convert/support/DefaultConversion Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Spring 3.0 upgrade issue - org/springframework/core/convert/support/DefaultConversion

    Hi,

    After upgrading to spring 3.0, we are seeing NoClassDefFound for org/springframework/core/convert/support/DefaultConversionService.
    Has the spring integration updated accordingly? we are running 2.0 M1 release and facing this problem.

    Thanks
    Srinivas

  • #2
    Spring Integration 2.0 M1 officially depends upon Spring 3.0 RC2. The class in question was removed as part of refactoring that occurred between Spring RC2 and 3.0 Final. If you want to use Spring 3.0 final with Spring Integration, you will have to use a build that officially supports that. Here's a Twitter update I posted with that build link: http://twitter.com/m_f_/status/6737427964

    We will be releasing Spring Integration 2.0 M2 this week, and it will officially depend upon Spring 3.0 Final as well.

    Hope that helps.
    -Mark

    Comment


    • #3
      Yeah Thanks

      Comment


      • #4
        Upgraded this morning to SI 2.0.0.M2 and Spring 3.0.0.RELEASE and it works like a charm 8)

        Comment

        Working...
        X